Subject: Re: [siprec] Metadata V8 - Consult Transfer Scenario

From: "Parthasarathi R" <[email-masked]>
Date: Tue, 18 Dec 2012 07:03:17 +0530

Hi Ofir,

Thanks for the call transfer metadata XML messages. My comments in the metadata is as follows:

1)      In case of Call Hold, participantstreamassoc with send direction also has to be shown. The updated partial update for call Hold will look like this:

<!-- Alice held the call -->

<?xml version="1.0" encoding="utf-8"?>

<recording xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:ietf:params:xml:ns:recording">

  <datamode>partial</datamode>

  <participantstreamassoc participant_id="WkNJR0hBQVdYUlpLQUtHQw==">

    <recv>RkhVRE1NUk9SQ1pLT0tIUA==</recv>

  </participantstreamassoc>

<participantstreamassoc participant_id="REFEWFRBT1FVSVpDTFVTUQ==">

    <send>RkhVRE1NUk9SQ1pLT0tIUA==</send>

  </participantstreamassoc>

</recording>

2)      Also, here the stream association looks like “bob” puts music on hold (sendonly) to the “alice” but the title mentions as “Alice” held the call. The change has to be done in the text or stream direction?

3)      In case of Alice consult with Joe, there should no new associated time for group as the group is associated with the recording session already. Even group element is not required to be passed. Group-ref should be sufficient.

In Bob & Joe are talking metadata:

4)      Joe is not associated with session “SlBGUk5BVVZOTFBQU05ITA==”

5)      Alice is not disassociated with session “SlBGUk5BVVZOTFBQU05ITA==”

6)      Stream 1 & 2 are not disassociated from session “SlBGUk5BVVZOTFBQU05ITA==”

7)      Participantsessionassoc  “REFEWFRBT1FVSVpDTFVTUQ== “ is associated with “SlBGUk5BVVZOTFBQU05ITA==” initially itself and there is no need to associated again

8)      We need to discuss whether Bob & Joe session has to be separate from the original session.

I’m providing this comments to start the discussion. The other alternative approach with “complete” metadata for the conversation between Alice & Joe, Bob & Joe shall be discussed later based on further discussion.

Thanks

Partha

 

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ofir Roth
Sent: Wednesday, November 14, 2012 1:03 PM
To: [email-masked]
Subject: Re: [siprec] Metadata V8 - Consult Transfer Scenario

Hi,

I did not get any feedback about the consult transfer scenario. 

Is it still needed? 

Thanks,

Ofir.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ofir Roth
Sent: Saturday, October 27, 2012 12:42 AM
To: [email-masked]
Subject: [siprec] Metadata V8 - Consult Transfer Scenario

Hi,

I have created a simple metadata consult transfer scenario (attached). 

The scenario is simple consult transfer scenario:

1.       Alice calls to Bob, Bob answer (first metadata update)  

2.       Alice hold the call with Bob (second metadata update)

3.       Alice consults with Joe (third metadata update)

4.       Bob and Joe are talking (fourth metadata update)

Will be happy to get comments on the metadata call flow. 

Note: I have dropped the SDP from the example for the sake of simplicity. Once confirmed as a valid metadata flow, I will update it with the SDP.

Thanks,
Ofir Roth.